| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_even_compare_config Struct Reference
Output Compare Unit (OCU)

The compare configuration of even OCU channel. More...

`#include <mft_ocu.h>`

## Data Fields
en_rt_even_status_t | enFrtZeroEvenMatchEvenChRtStatus
| Even channel's RT output status when even channel match occurs at the condition of FRT count=0x0000.
en_rt_even_status_t | enFrtZeroEvenNotMatchEvenChRtStatus
| Even channel's RT output status when even channel match doesn't occur at the condition of FRT count=0x0000.
en_rt_even_status_t | enFrtUpCntEvenMatchEvenChRtStatus
| Even channel's RT output status when even channel match occurs at the condition of FRT is counting up.
en_rt_even_status_t | enFrtPeakEvenMatchEvenChRtStatus
| Even channel's RT output status when even channel match occurs at the condition of FRT count=Peak.
en_rt_even_status_t | enFrtPeakEvenNotMatchEvenChStatus
| Even channel's RT output status when even channel match doesn't occur at the condition of FRT count=Peak.
en_rt_even_status_t | enFrtDownCntEvenMatchEvenChRtStatus
| Even channel's RT output status when even channel match occurs at the condition of FRT is counting down.
en_iop_flag_even_t | enIopFlagWhenFrtZeroEvenMatch
| Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT count=0x0000.
en_iop_flag_even_t | enIopFlagWhenFrtUpCntEvenMatch
| Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT is counting up.
en_iop_flag_even_t | enIopFlagWhenFrtPeakEvenMatch
| Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT count=Peak.
en_iop_flag_even_t | enIopFlagWhenFrtDownCntEvenMatch
| Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT is counting down.

## Detailed Description

The compare configuration of even OCU channel.

Definition at line 250 of file mft_ocu.h.

## Field Documentation

en_rt_even_status_t enFrtDownCntEvenMatchEvenChRtStatus

Even channel's RT output status when even channel match occurs at the condition of FRT is counting down.

Definition at line 260 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_rt_even_status_t enFrtPeakEvenMatchEvenChRtStatus

Even channel's RT output status when even channel match occurs at the condition of FRT count=Peak.

Definition at line 257 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_rt_even_status_t enFrtPeakEvenNotMatchEvenChStatus

Even channel's RT output status when even channel match doesn't occur at the condition of FRT count=Peak.

Definition at line 258 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_rt_even_status_t enFrtUpCntEvenMatchEvenChRtStatus

Even channel's RT output status when even channel match occurs at the condition of FRT is counting up.

Definition at line 255 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_rt_even_status_t enFrtZeroEvenMatchEvenChRtStatus

Even channel's RT output status when even channel match occurs at the condition of FRT count=0x0000.

Definition at line 252 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_rt_even_status_t enFrtZeroEvenNotMatchEvenChRtStatus

Even channel's RT output status when even channel match doesn't occur at the condition of FRT count=0x0000.

Definition at line 253 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_iop_flag_even_t enIopFlagWhenFrtDownCntEvenMatch

Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT is counting down.

Definition at line 265 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_iop_flag_even_t enIopFlagWhenFrtPeakEvenMatch

Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT count=Peak.

Definition at line 264 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_iop_flag_even_t enIopFlagWhenFrtUpCntEvenMatch

Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT is counting up.

Definition at line 263 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

en_iop_flag_even_t enIopFlagWhenFrtZeroEvenMatch

Even channel OCU's IOP flag status when even channel match occurs at the condition of FRT count=0x0000.

Definition at line 262 of file mft_ocu.h.

Referenced by Mft_Ocu_SetEvenChCompareMode().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mft/mft_ocu.h